## ros-melodic-people-velocity-tracker 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(people_velocity_tracker)

find_package(catkin REQUIRED COMPONENTS
  easy_markers
  geometry_msgs
  kalman_filter
  people_msgs
  roslib
  rospy
)

catkin_package(
    CATKIN_DEPENDS
        easy_markers geometry_msgs kalman_filter people_msgs roslib rospy
)

catkin_install_python(PROGRAMS scripts/static.py scripts/tracker.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
  launch/filtered_tracked_detector.launch
  launch/tracked_detector.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-melodic-people-velocity-tracker (1.2.0-1stretch) stretch; urgency=high

  * Whitespace cleanup (#73 <https://github.com/wg-perception/people/issues/73>)
  * Contributors: David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 19 Aug 2019 00:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.9-1stretch) stretch; urgency=high

  * change queue sizes to 10
  * Update for Indigo and add unfiltered people velocity launcher
  * PEP8 fixes
  * Contributors: Aaron Blasdel

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 01 Sep 2015 00:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.8-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 00:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.4-1stretch) stretch; urgency=high

  * Merging people_velocity_tracker into people
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Jul 2014 00:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.3-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 01 Mar 2014 00:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.2-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Feb 2014 00:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.1-1stretch) stretch; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Feb 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-people-velocity-tracker
Section: misc
Priority: extra
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-easy-markers, ros-melodic-geometry-msgs, ros-melodic-kalman-filter, ros-melodic-people-msgs, ros-melodic-roslib, ros-melodic-rospy
Homepage: http://ros.org/wiki/people_velocity_tracker
Standards-Version: 3.9.2

Package: ros-melodic-people-velocity-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-easy-markers, ros-melodic-geometry-msgs, ros-melodic-kalman-filter, ros-melodic-leg-detector, ros-melodic-people-msgs, ros-melodic-roslib, ros-melodic-rospy
Description: Track the output of the leg_detector to indicate the velocity of person.

## ros-melodic-people-velocity-tracker 1.4.0

=== debian/changelog ===
ros-melodic-people-velocity-tracker (1.4.0-4bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 20 Feb 2021 04:16:31 -0000

ros-melodic-people-velocity-tracker (1.2.0-4bionic) bionic; urgency=high

  * Whitespace cleanup (#73 <https://github.com/wg-perception/people/issues/73>)
  * Contributors: David V. Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 19 Aug 2019 04:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.9-4bionic) bionic; urgency=high

  * change queue sizes to 10
  * Update for Indigo and add unfiltered people velocity launcher
  * PEP8 fixes
  * Contributors: Aaron Blasdel

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 01 Sep 2015 04:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.8-4bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 10 Dec 2014 05:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.4-4bionic) bionic; urgency=high

  * Merging people_velocity_tracker into people
  * Contributors: David Lu!!

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Jul 2014 04:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.3-4bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 01 Mar 2014 05:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.2-4bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-melodic-people-velocity-tracker (1.0.1-4bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Feb 2014 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-people-velocity-tracker
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: David V. Lu!! <davidvlu@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-easy-markers, ros-melodic-geometry-msgs, ros-melodic-kalman-filter, ros-melodic-people-msgs, ros-melodic-roslib, ros-melodic-rospy
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-easy-markers, ros-melodic-geometry-msgs, ros-melodic-kalman-filter, ros-melodic-people-msgs, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-roslint, ros-melodic-rospy
 Homepage: http://ros.org/wiki/people_velocity_tracker
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-people-velocity-tracker//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
